'use strict';

exports.__esModule = true;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError('Cannot call a class as a function'); } }

function _inherits(subClass, superClass) { if (typeof superClass !== 'function' && superClass !== null) { throw new TypeError('Super expression must either be null or a function, not ' + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) subClass.__proto__ = superClass; }

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _EventCell = require('./EventCell');

var _EventCell2 = _interopRequireDefault(_EventCell);

var _utilsSelection = require('./utils/selection');

var Popup = (function (_React$Component) {
  function Popup() {
    _classCallCheck(this, Popup);

    _React$Component.apply(this, arguments);
  }

  _inherits(Popup, _React$Component);

  Popup.prototype.render = function render() {
    var _props = this.props;
    var events = _props.events;
    var selected = _props.selected;

    var props = _objectWithoutProperties(_props, ['events', 'selected']);

    var _props$position = this.props.position;
    var left = _props$position.left;
    var width = _props$position.width;
    var top = _props$position.top;

    top += 20;

    var style = { left: left, top: top, minWidth: width + width / 2 };

    return _react2['default'].createElement(
      'div',
      { style: style, className: 'rbc-overlay' },
      events.map(function (event, idx) {
        return _react2['default'].createElement(_EventCell2['default'], _extends({ key: idx }, props, { event: event, selected: _utilsSelection.isSelected(event, selected) }));
      })
    );
  };

  return Popup;
})(_react2['default'].Component);

exports['default'] = Popup;
module.exports = exports['default'];